Debian Bug report logs - #302437
tellico: Exported XML isn't valid

version graph

Package: tellico; Maintainer for tellico is Regis Boudin <regis@debian.org>; Source for tellico is src:tellico.

Reported by: Michael Holtermann <linux@michael-holtermann.de>

Date: Thu, 31 Mar 2005 20:33:01 UTC

Severity: normal

Tags: confirmed

Found in version 0.13.3-1

Reply or subscribe to this bug.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Regis Boudin <regis@boudin.name>:
Bug#302437; Package tellico. Full text and rfc822 format available.

Acknowledgement sent to Michael Holtermann <linux@michael-holtermann.de>:
New Bug report received and forwarded. Copy sent to Regis Boudin <regis@boudin.name>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Michael Holtermann <linux@michael-holtermann.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: tellico: Exported XML isn't valid
Date: Thu, 31 Mar 2005 22:19:02 +0200
Package: tellico
Version: 0.13.3-1
Severity: normal

I've created a literature-list with both manual-entered entries and some
imported from amazon.

If I export the database as XML and try to validate the file with
xmllint (or from Netbeans) I'll get the following output:

$ xmllint --valid ../materials/literature.xml
http://periapsis.org/tellico/dtd/v7/tellico.dtd:37:
parser error : AttValue: " or ' expected
<!ATTLIST field i18n CDATA (true) #IMPLIED>
                           ^
http://periapsis.org/tellico/dtd/v7/tellico.dtd:37:
parser error : Attribute default value declaration error
<!ATTLIST field i18n CDATA (true) #IMPLIED>
                           ^
http://periapsis.org/tellico/dtd/v7/tellico.dtd:37:
parser error : Space required after the attribute default value
<!ATTLIST field i18n CDATA (true) #IMPLIED>
                           ^
http://periapsis.org/tellico/dtd/v7/tellico.dtd:37:
parser error : Content error in the external subset
<!ATTLIST field i18n CDATA (true) #IMPLIED>
                           ^
-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (600, 'unstable')
Architecture: i386 (i686)
Kernel: Linux 2.6.10-micha
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)

Versions of packages tellico depends on:
ii  kdelibs4             4:3.3.2-4.0.2       KDE core libraries
ii  libart-2.0-2         2.3.17-1            Library of functions for 2D 
graphi
ii  libaudio2            1.7-2               The Network Audio System (NAS). 
(s
ii  libc6                2.3.2.ds1-20        GNU C Library: Shared libraries 
an
ii  libfam0c102          2.7.0-6             client library to control the FAM 
ii  libfontconfig1       2.3.1-2             generic font configuration 
library
ii  libfreetype6         2.1.7-2.3           FreeType 2 font engine, shared 
lib
ii  libgcc1              1:3.4.3-12          GCC support library
ii  libgcrypt11          1.2.0-11            LGPL Crypto library - runtime 
libr
ii  libgpg-error0        1.0-1               library for common error values 
an
ii  libice6              4.3.0.dfsg.1-12.0.1 Inter-Client Exchange library
ii  libidn11             0.5.13-1.0          GNU libidn library, 
implementation
ii  libjpeg62            6b-10               The Independent JPEG Group's JPEG 
ii  libkcddb1            4:3.3.2-1           cddb library for KDE
ii  libpcre3             5.0-1               Perl 5 Compatible Regular 
Expressi
ii  libpng12-0           1.2.8rel-1          PNG library - runtime
ii  libqt3c102-mt        3:3.3.3-8           Qt GUI Library (Threaded runtime 
v
ii  libsm6               4.3.0.dfsg.1-12.0.1 X Window System Session 
Management
ii  libssl0.9.7          0.9.7e-3            SSL shared libraries
ii  libstdc++5           1:3.3.5-12          The GNU Standard C++ Library v3
ii  libtag1              1.3.1-1             TagLib Audio Meta-Data Library
ii  libwrap0             7.6.dbs-8           Wietse Venema's TCP wrappers 
libra
ii  libx11-6             4.3.0.dfsg.1-12.0.1 X Window System protocol client 
li
ii  libxcursor1          1.1.3-1             X cursor management library
ii  libxext6             4.3.0.dfsg.1-12.0.1 X Window System miscellaneous 
exte
ii  libxft2              2.1.2-6             FreeType-based font drawing 
librar
ii  libxml2              2.6.16-6            GNOME XML library
ii  libxrandr2           4.3.0.dfsg.1-12.0.1 X Window System Resize, Rotate 
and
ii  libxrender1          0.8.3-7             X Rendering Extension client 
libra
ii  libxslt1.1           1.1.12-6            XSLT processing library - runtime 
ii  libxt6               4.3.0.dfsg.1-12.0.1 X Toolkit Intrinsics
ii  libyaz               2.0.30-3            Z39.50 runtime libraries
ii  xlibs                4.3.0.dfsg.1-12     X Keyboard Extension (XKB) 
configu
ii  zlib1g               1:1.2.2-4           compression library - runtime

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Regis Boudin <regis@boudin.name>:
Bug#302437; Package tellico. Full text and rfc822 format available.

Acknowledgement sent to Robby Stephenson <robby@periapsis.org>:
Extra info received and forwarded to list. Copy sent to Regis Boudin <regis@boudin.name>. Full text and rfc822 format available.

Message #10 received at 302437@bugs.debian.org (full text, mbox):

From: Robby Stephenson <robby@periapsis.org>
To: Michael Holtermann <linux@michael-holtermann.de>, 302437@bugs.debian.org
Subject: Re: Bug#302437: tellico: Exported XML isn't valid
Date: Sun, 3 Apr 2005 16:58:10 -0700
Hi Michael,

On Thursday 31 March 2005 12:19, Michael Holtermann wrote:
> If I export the database as XML and try to validate the file with
> xmllint (or from Netbeans) I'll get the following output:
>
> $ xmllint --valid ../materials/literature.xml
> http://periapsis.org/tellico/dtd/v7/tellico.dtd:37:
> parser error : AttValue: " or ' expected
> <!ATTLIST field i18n CDATA (true) #IMPLIED>

The bug title is a bit misleading. The XML output for Tellico is fine. The 
DTD does have some errors in it, though. Frankly, I'm astonished than 
anyone even cares about validating against it. The latest release of 
Tellico, 0.13.6, fixes the problem. Since you're validating against the 
online DTD, xmllint should now work for you, whether or not you update 
Tellico.

Thanks for reporting it!
Robby




Tags added: confirmed, fixed-upstream Request was from Regis Boudin <regis@boudin.name> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Regis Boudin <regis@boudin.name>:
Bug#302437; Package tellico. Full text and rfc822 format available.

Acknowledgement sent to Michael Holtermann <linux@michael-holtermann.de>:
Extra info received and forwarded to list. Copy sent to Regis Boudin <regis@boudin.name>. Full text and rfc822 format available.

Message #17 received at 302437@bugs.debian.org (full text, mbox):

From: Michael Holtermann <linux@michael-holtermann.de>
To: 302437@bugs.debian.org
Subject: Re: Bug#302437: tellico: Exported XML isn't valid
Date: Mon, 4 Apr 2005 07:24:31 +0200
Hi Robby,

Am Montag, 4. April 2005 01:58 schrieb Robby Stephenson:
> Frankly, I'm astonished than anyone even cares about validating against it.

:-) I wrote simple XSL that transforms the XML to BibTeX, since the built-in 
export is missing some fields, like the URL. Netbeans tried to validate the 
XML against its DTD automatically, and here we are.

The XSL is rather small and surely incomplete and an ugly hack, but if you're 
interested I'll send you a copy.

> Tellico, 0.13.6, fixes the problem. Since you're validating against the
> online DTD, xmllint should now work for you, whether or not you update
> Tellico.

I'm affraid there's now another bug...

| $ xmllint --valid --noout --dtdvalid \
|   http://periapsis.org/tellico/dtd/v7/tellico.dtd literature.xml
| 
| element amazon: validity error : No declaration for element amazon

| $ wget http://periapsis.org/tellico/dtd/v7/tellico.dtd
| $ grep amazon tellico.dtd
| $ [no output]

Thanks a lot!

Greetings, Michael.



Information forwarded to debian-bugs-dist@lists.debian.org, Regis Boudin <regis@boudin.name>:
Bug#302437; Package tellico. Full text and rfc822 format available.

Acknowledgement sent to Robby Stephenson <robby@periapsis.org>:
Extra info received and forwarded to list. Copy sent to Regis Boudin <regis@boudin.name>. Full text and rfc822 format available.

Message #22 received at 302437@bugs.debian.org (full text, mbox):

From: Robby Stephenson <robby@periapsis.org>
To: Michael Holtermann <linux@michael-holtermann.de>, 302437@bugs.debian.org
Subject: Re: Bug#302437: tellico: Exported XML isn't valid
Date: Thu, 14 Jul 2005 18:27:44 -0700
On Sunday 03 April 2005 22:24, Michael Holtermann wrote:
> :-) I wrote simple XSL that transforms the XML to BibTeX, since the
> : built-in export is missing some fields, like the URL.

Tellico should export every field that has a "bibtex" property defined. FOr 
a URL, say, open the Field Dialog, and add an extended proeprty for that 
field with a name of "bibtex" and a value of "url".

> | $ xmllint --valid --noout --dtdvalid \
> |   http://periapsis.org/tellico/dtd/v7/tellico.dtd literature.xml
> |
> | element amazon: validity error : No declaration for element amazon

I suppose I should add amazon to the DTD, it's just not one of the default 
fields. Since a user can add any field they want, that ends up invalidating 
the DTD. An amazon field is added whenever amazon entries are imported.

Thanks again,
Robby



Information forwarded to debian-bugs-dist@lists.debian.org, Regis Boudin <regis@boudin.name>:
Bug#302437; Package tellico. Full text and rfc822 format available.

Acknowledgement sent to "Regis Boudin" <regis@boudin.name>:
Extra info received and forwarded to list. Copy sent to Regis Boudin <regis@boudin.name>. Full text and rfc822 format available.

Message #27 received at 302437@bugs.debian.org (full text, mbox):

From: "Regis Boudin" <regis@boudin.name>
To: control@bugs.debian.org
Cc: 302437@bugs.debian.org
Date: Wed, 24 Aug 2005 16:25:50 +0100 (BST)
tags 302437 -fixed-upstream
thanks

If I understand correctly, any collection with customised fields would be
considered as invalid XML by a strict parser. I suppose the best fix would
be to extend the DTD within the XML file.

Anyway, for the moment, the bug still exists...

Regis
-- 
"While a monkey can be a manager, it takes a human to be an engineer" Erik
Zapletal




Tags removed: fixed-upstream Request was from "Regis Boudin" <regis@boudin.name> to control@bugs.debian.org. Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:48:59 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.